/*
 *  TOPPERS ECHONET Lite Communication Middleware
 * 
 *  Copyright (C) 2014-2016 Cores Co., Ltd. Japan
 * 
 *  L쌠҂́Cȉ(1)`(4)̏𖞂ꍇɌC{\tgEF
 *  Ai{\tgEFAς̂܂ށDȉjgpEE
 *  ρEĔzziȉCpƌĂԁj邱Ƃ𖳏ŋD
 *  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒
 *      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[
 *      XR[hɊ܂܂Ă邱ƁD
 *  (2) {\tgEFACCu`ȂǁC̃\tgEFAJɎg
 *      pł`ōĔzzꍇɂ́CĔzzɔhLgip
 *      ҃}jAȂǁjɁCL̒쌠\C̗pщL
 *      ̖ۏ؋Kfڂ邱ƁD
 *  (3) {\tgEFAC@ɑgݍނȂǁC̃\tgEFAJɎg
 *      płȂ`ōĔzzꍇɂ́Ĉꂩ̏𖞂
 *      ƁD
 *    (a) ĔzzɔhLgip҃}jAȂǁjɁCL̒
 *        쌠\C̗pщL̖ۏ؋Kfڂ邱ƁD
 *    (b) Ĕzž`ԂCʂɒ߂@ɂāCTOPPERSvWFNg
 *        񍐂邱ƁD
 *  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹
 *      QCL쌠҂TOPPERSvWFNgƐӂ邱ƁD
 *      ܂C{\tgEFÃ[U܂̓Gh[ÛȂ闝
 *      RɊÂCL쌠҂TOPPERSvWFNg
 *      Ɛӂ邱ƁD
 * 
 *  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂
 *  TOPPERSvWFNǵC{\tgEFAɊւāC̎gpړI
 *  ɑ΂K܂߂āCȂۏ؂sȂD܂C{\tgEF
 *  A̗pɂ蒼ړI܂͊ԐړIɐȂ鑹QɊւĂC
 *  ̐ӔC𕉂ȂD
 * 
 *  @(#) $Id: echonet_lcl_task.h 167 2016-03-08 11:37:45Z coas-nagasima $
 */

/*
 *		ECHONET Lite ʒʐMC[^XN
 */

#ifndef TOPPERS_ECHONET_LCL_TASK_H
#define TOPPERS_ECHONET_LCL_TASK_H

#ifdef SUPPORT_INET4
#include "echonet_udp_task.h"
#endif

#ifdef SUPPORT_INET6
#include "echonet_udp6_task.h"
#endif

#ifdef SUPPORT_UIP
#include "echonet_uip_task.h"
#endif

typedef struct ecn_udp_msg_get_ipaddr_req
{
	unsigned int requestid;
	ECN_ENOD_ID enodid;
} ecn_udp_msg_get_ipaddr_req_t;

typedef struct ecn_udp_msg_get_ipaddr_res
{
	unsigned int requestid;
	ECN_ENOD_ID enodid;
	ENODADRB enodadrb;
} ecn_udp_msg_get_ipaddr_res_t;

typedef struct ecn_udp_msg_get_ipaddr_error
{
	unsigned int requestid;
	ER error;
} ecn_udp_msg_get_ipaddr_error_t;

ER ecn_udp_get_ipaddr(ID sender, int requestid, ECN_ENOD_ID enodid, ECN_FBS_ID *pk_req);

#endif /* TOPPERS_ECHONET_LCL_TASK_H */
